package data;

import java.sql.Connection;

public interface DataProvider {
	public void connect();
	public void disconnect();
	public void commit();
	public Connection getConnection();
	public <E> Mapper<E> getMapper(Class<E> c);
}
